failing tests

Marc Weber marco-oweber at gmx.de
Thu Jun 10 22:44:21 BST 2010


Hi James Remnant & list,

> Maybe NixOS has patched Upstart?
Not anymore. I wrote patches for 0.3 or such.

I enabled the tests for libnih now. Those are failing as well. The build
timeouts after 600 seconds:

[...]
...with SIGIO
...with unknown signal
PASS: test_signal
Testing nih_child_add_watch()
...with pid
...with -1 for pid
Testing nih_child_poll()
...with normal termination
...with normal non-zero termination
...with termination by signal
...with termination by abort
...with stopped child
...with continued child
...with signal from traced child
...with fork by traced child
...with exec by traced child


This is the  ps axjf output of the test:

11031   453 11031 11031 ?           -1 SN   30003   0:00          \_ make check
  453   456 11031 11031 ?           -1 SN   30003   0:00              \_ /bin/sh -c fail= failcom='exit 1'; \?for f in x $MAKEFLAGS; do \?  case $f in \?    *=* | --[!k]*);; \?    *k*) failcom='fail=yes';; \?  esac; \?done; \?dot_seen=no; \?target=`echo check-recursive | sed s/-recursive//`; \?list='m4 intl nih nih-dbus nih-dbus-tool po'; for subdir in $list; do \?  echo "Making $target in $subdir"; \?  if test "$subdir" = "."; then \?    dot_seen=yes; \?    local_target="$target-am"; \?  else \?    local_target="$target"; \?  fi; \?  (CDPATH="${ZSH_VERSION+.}:" && cd $subdir && make  $local_target) \?  || eval $failcom; \?done; \?if test "$dot_seen" = "no"; then \?  make  "$target-am" || exit 1; \?fi; test -z "$fail"
  456   487 11031 11031 ?           -1 SN   30003   0:00                  \_ /bin/sh -c fail= failcom='exit 1'; \?for f in x $MAKEFLAGS; do \?  case $f in \?    *=* | --[!k]*);; \?    *k*) failcom='fail=yes';; \?  esac; \?done; \?dot_seen=no; \?target=`echo check-recursive | sed s/-recursive//`; \?list='m4 intl nih nih-dbus nih-dbus-tool po'; for subdir in $list; do \?  echo "Making $target in $subdir"; \?  if test "$subdir" = "."; then \?    dot_seen=yes; \?    local_target="$target-am"; \?  else \?    local_target="$target"; \?  fi; \?  (CDPATH="${ZSH_VERSION+.}:" && cd $subdir && make  $local_target) \?  || eval $failcom; \?done; \?if test "$dot_seen" = "no"; then \?  make  "$target-am" || exit 1; \?fi; test -z "$fail"
  487   490 11031 11031 ?           -1 SN   30003   0:00                      \_ make check
  490  9492 11031 11031 ?           -1 SN   30003   0:00                          \_ make check-TESTS
 9492  9504 11031 11031 ?           -1 SN   30003   0:00                              \_ /bin/sh -c failed=0; all=0; xfail=0; xpass=0; skip=0; \?srcdir=.; export srcdir; \?list=' test_alloc test_string test_list test_hash test_tree test_timer test_signal test_child test_io test_file test_watch test_main test_option test_command test_config test_logging test_error '; \?red=; grn=; lgn=; blu=; std=; test "X" != Xno && test "X$TERM" != Xdumb && { test "X" = Xalways || test -t 1 2>/dev/null; } && { red='?[0;31m'; grn='?[0;32m'; lgn='?[1;32m'; blu='?[1;34m'; std='?[m'; }; \?if test -n "$list"; then \?  for tst in $list; do \?    if test -f ./$tst; then dir=./; \?    elif test -f $tst; then dir=; \?    else dir="./"; fi; \?    if  ${dir}$tst; then \?      all=`expr $all + 1`; \?      case "  " in \?      *[\ \?]$tst[\ \?]*) \??xpass=`expr $xpass + 1`; \??failed=`expr $failed + 1`; \??col=$red; res=XPASS; \?      ;; \?      *) \??col=$grn; res=PASS; \?      ;; \?      esac; \?    elif test $? -ne 77; then \?      all=`expr $all + 1`; \?      case "  " in \?      *[\ \?]$tst[\ \?]*) \??xfail=`expr $xfail + 1`; \??col=$lgn; res=XFAIL; \?      ;; \?      *) \??failed=`expr $failed + 1`; \??col=$red; res=FAIL; \?      ;; \?      esac; \?    else \?      skip=`expr $skip + 1`; \?      col=$blu; res=SKIP; \?    fi; \?    echo "${col}$res${std}: $tst"; \?  done; \?  if test "$all" -eq 1; then \?    tests="test"; \?    All=""; \?  else \?    tests="tests"; \?    All="All "; \?  fi; \?  if test "$failed" -eq 0; then \?    if test "$xfail" -eq 0; then \?      banner="$All$all $tests passed"; \?    else \?      if test "$xfail" -eq 1; then failures=failure; else failures=failures; fi; \?      banner="$All$all $tests behaved as expected ($xfail expected $failures)"; \?    fi; \?  else \?    if test "$xpass" -eq 0; then \?      banner="$failed of $all $tests failed"; \?    else \?      if test "$xpass" -eq 1; then passes=pass; else passes=passes; fi; \?      banner="$failed of $all $tests did not behave as expected ($xpass unexpe
d $passes)"; \?    fi; \?  fi; \?  dashes="$banner"; \?  skipped=""; \?  if test "$skip" -ne 0; then \?    if test "$skip" -eq 1; then \?      skipped="($skip test was not run)"; \?    else \?      skipped="($skip tests were not run)"; \?    fi; \?    test `echo "$skipped" | wc -c` -le `echo "$banner" | wc -c` || \?      dashes="$skipped"; \?  fi; \?  report=""; \?  if test "$failed" -ne 0 && test -n "http://bugs.launchpad.net/libnih/"; then \?    report="Please report to http://bugs.launchpad.net/libnih/"; \?    test `echo "$report" | wc -c` -le `echo "$banner" | wc -c` || \?      dashes="$report"; \?  fi; \?  dashes=`echo "$dashes" | sed s/./=/g`; \?  if test "$failed" -eq 0; then \?    echo "$grn$dashes"; \?  else \?    echo "$red$dashes"; \?  fi; \?  echo "$banner"; \?  test -z "$skipped" || echo "$skipped"; \?  test -z "$report" || echo "$report"; \?  echo "$dashes$std"; \?  test "$failed" -eq 0; \?else :; fi
 9504  9662 11031 11031 ?           -1 SN   30003   0:00                                  \_ ./test_child
 9662  9682 11031 11031 ?           -1 ZN   30003   0:00                                      \_ [test_child] <defunct>

This is my kernel:
Linux nixos 2.6.32.14 #1 SMP Sat May 29 22:06:43 UTC 2010 x86_64 GNU/Linux

I tried both: compiling glibc against default headers (2.6.28) and 2.6.32.

Kernel of my virtual system:
Linux nixos 2.6.31.5-linode21 #1 SMP Mon Oct 26 18:17:01 UTC 2009 i686 GNU/Linux

Maybe this is enough information to find the cause. If not I'll have to
digg into details.

Marc Weber



More information about the upstart-devel mailing list